--- title: "getCloudMysqlProductList" slug: "database-vmysql-getcloudmysqlproductlist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlProductList Available in VPC Get the list of Cloud DB for MySQL server specification codes available. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlProductList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `zoneCode` | String | Optional | Filter by zone code - Check through [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `cloudMysqlImageProductCode` | String | Required | Filter by Cloud DB for MySQL image product code - Check through [getCloudMysqlImageProductList](/docs/en/database-vmysql-getcloudmysqlimageproductlist) | | `productCode` | String | Optional | Filter by Cloud DB for MySQL product code - Check through [getCloudMysqlProductList](/docs/en/database-vmysql-getcloudmysqlproductlist) | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for MySQL product code - Check through [getCloudMysqlProductList](/docs/en/database-vmysql-getcloudmysqlproductlist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlProductList ?regionCode=KR &cloudMysqlImageProductCode=SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.5732.B050 &productCode=SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 &exclusionProductCode=SVR.VDBAS.HICPU.C004.M008.NET.HDD.B050.G002' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002", "productName": "vCPU 2EA, Memory 8GB", "productType": { "code": "STAND", "codeName": "Standard" }, "productDescription": "2 vCPUs, 8 GB memory", "infraResourceType": { "code": "VMYSL", "codeName": "Cloud DB for MySQL (VPC)" }, "cpuCount": 2, "memorySize": 8589934592, "diskType": { "code": "NET", "codeName": "Network Storage" } } ], "requestId": "06d569c3-****-****-****-d099b857b9dd", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 06d569c3-****-****-****-d099b857b9dd 0 success 1 SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 vCPU 2EA, Memory 8GB STAND Standard 2 vCPUs, 8 GB memory VMYSL Cloud DB for MySQL (VPC) 2 8589934592 NET Network Storage ```